# enable tests
%global tests 1

Name:    libkomparediff2
Summary: Library to compare files and strings
Version: 14.12.3
Release: 3%{?dist}

# Library: GPLv2+ (some files LGPLv2+), CMake scripts: BSD
License: GPLv2+ and BSD
URL:     https://projects.kde.org/projects/kde/kdesdk/libkomparediff2
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kdelibs4-devel >= 4.14

Requires:       diffutils

## upgrade paths, I *think* we can drop the conflicts now that good Obsoletes
## are in place, but they shouldn't hurt to keep either.
# Conflict with old Kompare builds which included libkomparediff2.
Conflicts:      kompare < 4.11.80
Conflicts:      kdesdk-kompare < 4.10.80

Obsoletes: kompare-libs < 4.11.80
Obsoletes: kdesdk-kompare-libs < 4.10.80

%description
A shared library to compare files and strings using kdelibs and GNU diff,
used in Kompare and KDevelop.

%package devel
Summary: Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
# Conflict with old Kompare builds which included libkomparediff2.
Conflicts:      kompare-devel < 4.11.80
# The library was unversioned in 4.10, so conflict with main Kompare package.
Conflicts:      kdesdk-kompare < 4.10.80
%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} -DKDE4_BUILD_TESTS:BOOL=%{?tests}%{!?tests:0} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
%if 0%{?tests}
make test/fast -C %{_target_platform}
%endif


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING*
%{_kde4_libdir}/libkomparediff2.so.4*

%files devel
%{_kde4_includedir}/libkomparediff2/
%{_kde4_libdir}/libkomparediff2.so
%{_kde4_libdir}/cmake/libkomparediff2/


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 14.12.3-2
- Rebuilt for GCC 5 C++11 ABI change

* Sun Mar 01 2015 Rex Dieter <rdieter@fedoraproject.org> - 14.12.3-1
- 14.12.3

* Tue Feb 24 2015 Than Ngo <than@redhat.com> - 14.12.2-1
- 14.12.2

* Thu Feb 19 2015 Rex Dieter <rdieter@fedoraproject.org> - 14.12.1-2
- rebuild (gcc5)

* Fri Jan 16 2015 Rex Dieter <rdieter@fedoraproject.org> - 14.12.1-1
- 14.12.1

* Mon Dec 08 2014 Rex Dieter <rdieter@fedoraproject.org> - 14.11.97-1
- 14.11.97

* Thu Nov 20 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.3-2
- help upgrade path for old kdesdk-kompare-libs
- -devel: Requires: kdelibs4-devel (rather than cmake)
- %files: track soname
- minor cleanup, whitespace

* Sat Nov 08 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.3-1
- 4.14.3

* Sun Oct 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.2-1
- 4.14.2

* Tue Sep 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.1-1
- 4.14.1

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Aug 14 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.14.0-1
- 4.14.0

* Tue Aug 05 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.97-1
- 4.13.97

* Mon Jul 14 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.3-1
- 4.13.3

* Mon Jun 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.2-1
- 4.13.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.1-1
- 4.13.1

* Sat Apr 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.13.0-1
- 4.13.0

* Thu Apr 03 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.97-1
- 4.12.97

* Sat Mar 22 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.95-1
- 4.12.95

* Tue Mar 18 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.90-1
- 4.12.90

* Sat Mar 01 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.3-1
- 4.12.3

* Fri Jan 31 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.2-1
- 4.12.2

* Fri Jan 10 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.12.1-1
- 4.12.1

* Thu Dec 19 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.12.0-1
- 4.12.0

* Sun Dec 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.97-1
- 4.11.97

* Thu Nov 21 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.95-1
- 4.11.95

* Mon Nov 18 2013 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.11.90-2
- Fix CMake boolean syntax when setting tests to 0

* Sat Nov 16 2013 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.11.90-1
- Split off from kompare package
